> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspace members



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/members
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/members:
    get:
      tags:
        - Members
      summary: List workspace members
      operationId: listMembersWorkspaceTokenAPI
      parameters:
        - name: page
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
          allowEmptyValue: true
          allowReserved: true
        - name: perPage
          in: query
          schema:
            anyOf:
              - type: integer
                minimum: 1
                maximum: 9007199254740991
              - type: 'null'
          allowEmptyValue: true
          allowReserved: true
        - name: sort
          in: query
          schema:
            anyOf:
              - type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    desc:
                      type: boolean
                  required:
                    - id
                    - desc
              - type: 'null'
          style: deepObject
          explode: true
          allowEmptyValue: true
          allowReserved: true
        - name: keyword
          in: query
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: null
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        updatedAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        workspaceId:
                          type: string
                        userId:
                          type: string
                        role:
                          enum:
                            - owner
                            - agent
                          type: string
                        notificationChannels:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: 'null'
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: array
                              items:
                                anyOf:
                                  - {}
                                  - type: 'null'
                        notificationTypes:
                          anyOf:
                            - anyOf:
                                - type: string
                                - type: number
                                - type: boolean
                                - type: 'null'
                            - type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            - type: array
                              items:
                                anyOf:
                                  - {}
                                  - type: 'null'
                        permissions:
                          type: object
                          properties:
                            superAdmin:
                              type: boolean
                            analytics:
                              type: boolean
                            flows:
                              type: boolean
                            contacts:
                              type: boolean
                            onlyAssignedContacts:
                              type: boolean
                            emailAndPhone:
                              type: boolean
                            broadcast:
                              type: boolean
                            ecommerce:
                              type: boolean
                          required:
                            - superAdmin
                            - analytics
                            - flows
                            - contacts
                            - onlyAssignedContacts
                            - emailAndPhone
                            - broadcast
                            - ecommerce
                        user:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              anyOf:
                                - type: string
                                - type: 'null'
                            image:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - id
                            - name
                            - image
                      required:
                        - id
                        - createdAt
                        - updatedAt
                        - workspaceId
                        - userId
                        - role
                        - notificationChannels
                        - notificationTypes
                        - permissions
                        - user
                  pageCount:
                    type: number
                required:
                  - data
                  - pageCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````